Available buyer market: Korea
This API is used to view the coupon budget status of all contracts that are currently set.
Since the coupon budget is set on a monthly basis in accordance with contract terms and conditions, you can view the contract on a monthly basis.
Since the coupon budget is set on a monthly basis in accordance with contract terms and conditions, you can view the contract on a monthly basis.
Path
GET
/v2/providers/fms/apis/api/v1/vendors/{vendorId}/budgets
Example Endpoint
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00012345/budgets?contractId=-1&targetMonth=2017-08
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String |
Vendor ID
An unique code Coupang assigns to a vendor
e.g.) A00012345
|
||||
Query String Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| contractId | Number |
A contract Id (enter -1 for a free contract)
|
|||||
| targetMonth | String |
The month for a budget view
yyyy-MM
You get the view of the current month unless you enter target month.
|
|||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | Number |
Server response code
|
||||
| message | String |
Server response message
|
||||
| httpStatus | Number |
HTTP Status Code(the same as server response code)
|
||||
| httpStatusMessage | String |
HTTP Status Message (the same as server response message)
|
||||
| errorMessage | String |
Except for HTTP Status 200, all other statuses contain a message on a detailed reason for server failure.
|
||||
| data | Array |
Budget status list data
|
||||
| success | Boolean |
Success
true or false
|
||||
| content | Array |
Budget status list
|
||||
| contractId | Number |
A vendor contract Id
e.g.) 1, 2
|
||||
| targetMonth | String |
The target month for running a query
e.g.) 2017-08
|
||||
| vendorShareRatio | Number |
A share ratio(%) : A ratio agreed upon with Coupang in the contract
e.g.) 100
|
||||
| totalBudgetAmount | Number |
Budget amount set for the month concerned
e.g.) 1000000
|
||||
| usedBudgetAmount | Number |
Budget amount used for the month concerned
e.g.) 50.00
|
||||
| Pagination | Array |
Paging
|
||||
| countPerPage | Number |
Data count per page
e.g.) 10, 20, 30
|
||||
| currentPage | Number |
Current page
e.g.) 1
|
||||
| totalPages | Number |
Total page count
e.g.) 1000
|
||||
| totalElements | Number |
Total element count
e.g.) 1000
|
||||
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": [
{
"contractId": 2,
"targetMonth": "2017-08",
"vendorShareRatio": 100,
"totalBudgetAmount": 1000000,
"usedBudgetAmount": 50
}
],
"pagination": null
}
}
Error Spec
| HTTP status code (error type) | Error message | Solution |
|---|---|---|
| 401 (Check the requested parameter) | Check the vendor access. | Check the vendor Id for correctness. |
| 400 (Check the requested parameter) | Invalid format: \"2020\" is too short | Check that the target month for running a query is correct. |